Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.semanticweb.owlapi.owllink
Enum OWLlinkXMLVocabulary

    java.lang.Object
      java.lang.Enum<OWLlinkXMLVocabulary>
          org.semanticweb.owlapi.owllink.OWLlinkXMLVocabulary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OWLlinkXMLVocabulary>

    public enum OWLlinkXMLVocabulary

extends java.lang.Enum<OWLlinkXMLVocabulary>

Author:
  Olaf Noppens

Enum Constant Summary
`ARE_CLASSES_DISJOINT`
`ARE_CLASSES_EQUIVALENT`
`ARE_DATAPROPERTIES_DISJOINT`
`ARE_DATAPROPERTIES_EQUIVALENT`
`ARE_INDIVIDUALS_DISJOINT`
`ARE_INDIVIDUALS_EQUIVALENT`
`ARE_INDIVIDUALS_RELATED`
`ARE_OBJECTPROPERTIES_DISJOINT`
`ARE_OBJECTPROPERTIES_EQUIVALENT`
`BOOLEAN_RESPONSE`
`BUILD_ATTRIBUTE`
`CLASS_HIERARCHY`
`CLASS_SUBCLASSESPAIR`
`CLASS_SYNSET`
`CLASS_SYNSETS`
`CLASSES`
`CLASSIFY`
`CONFIGURATION`
`CONSIDER_IMPORTS_ATTRIBUTE`
`CREATE_KB`
`DATAPROPERTY_HIERARCHY`
`DATAPROPERTY_SUBDATAPROPERTIESPAIR`
`DATAPROPERTY_SYNONYMS`
`DATAPROPERTY_SYNSET`
`DATAPROPERTY_SYNSETS`
`DATATYPE`
`DESCRIPTION`
`DIRECT_ATTRIBUTE`
`ERROR`
`ERROR_ATTRIBUTE`
`FULL_IRI_ATTRIBUTE`
`FULLIRI`
`GET_ALL_ANNOTATION_PROPERTIES`
`GET_ALL_CLASSES`
`GET_ALL_DATAPROPERTIES`
`GET_ALL_DATATYPES`
`GET_ALL_INDIVIDUALS`
`GET_ALL_OBJECTPROPERTIES`
`GET_DATAPROPERTIES_BETWEEN`
`GET_DATAPROPERTIES_OF_LITERAL`
`GET_DATAPROPERTIES_OF_SOURCE`
`GET_DATAPROPERTY_SOURCES`
`GET_DATAPROPERTY_TARGETS`
`GET_DESCRIPTION`
`GET_DIFFERENT_INDIVIDUALS`
`GET_DISJOINT_CLASSES`
`GET_DISJOINT_DATAPROPERTIES`
`GET_DISJOINT_OBJECTPROPERTIES`
`GET_EQUIVALENT_CLASSES`
`GET_EQUIVALENT_DATAPROPERTIES`
`GET_EQUIVALENT_OBJECTPROPERTIES`
`GET_FLATTENED_DATAPROPERTY_SOURCES`
`GET_FLATTENED_DIFFERENT_INDIVIDUALS`
`GET_FLATTENED_INSTANCES`
`GET_FLATTENED_OBJECTPROPERTY_SOURCES`
`GET_FLATTENED_OBJECTPROPERTY_TARGETS`
`GET_FLATTENED_TYPES`
`GET_INSTANCES`
`GET_KB_LANGUAGE`
`GET_OBJECTPROPERTIES_BETWEEN`
`GET_OBJECTPROPERTIES_OF_SOURCE`
`GET_OBJECTPROPERTIES_OF_TARGET`
`GET_OBJECTPROPERTY_SOURCES`
`GET_OBJECTPROPERTY_TARGETS`
`GET_PREFIXES`
`GET_SAME_INDIVIDUALS`
`GET_SETTINGS`
`GET_SUBCLASS_HIERARCHY`
`GET_SUBCLASSES`
`GET_SUBDATAPROPERTIES`
`GET_SUBDATAPROPERTY_HIERARCHY`
`GET_SUBOBJECTPROPERTIES`
`GET_SUBOBJECTPROPERTY_HIERARCHY`
`GET_SUPERCLASSES`
`GET_SUPERDATAPROPERTIES`
`GET_SUPEROBJECTPROPERTIES`
`GET_TYPES`
`IDENTIFIER_ATTRIBUTE`
`INDIVIDUAL_SYNONYMS`
`INDIVIDUAL_SYNSET`
`IRI_ATTRIBUTE`
`IRI_MAPPING`
`IS_CLASS_SATISFIABLE`
`IS_DATAPROPERTY_SATISFIABLE`
`IS_ENTAILED`
`IS_ENTAILED_DIRECT`
`IS_KB_CONSISTENTLY_DECLARED`
`IS_KB_SATISFIABLE`
`IS_OBJECTPROPERTY_SATISFIABLE`
`KB_ATTRIBUTE`
`KB_ERROR`
`KB_RESPONSE`
`KBERROR`
`KEY_ATTRIBUTE`
`LIST`
`LITERAL`
`LOAD_ONTOLOGIES`
`MAJOR_ATTRIBUTE`
`MESSAGE_ATTRIBUTE`
`MINOR_ATTRIBUTE`
`NAME_Attribute`
`NEGATIVE_ATTRIBUTE`
`OBJECTPROPERTY_HIERARCHY`
`OBJECTPROPERTY_SUBOBJECTPROPERTIESPAIR`
`OBJECTPROPERTY_SYNSET`
`OBJECTPROPERTY_SYNSETS`
`OK`
`ONEOF`
`ONTOLOGY_IRI`
`PREFIX`
`PREFIXES`
`PROPERTY`
`PROTOCOLVERSION`
`PublicKB`
`REALIZE`
`REASONERVERSION`
`RELEASE_KB`
`REQUEST_MESSAGE`
`RESPONSE_MESSAGE`
`RESULT_ATTRIBUTE`
`SEMANTIC_ERROR`
`SET`
`SET_OF_ANNOTATIONPROPERTIES`
`SET_OF_CLASS_SYNSETS`
`SET_OF_CLASSES`
`SET_OF_DATAPROPERTIES`
`SET_OF_DATAPROPERTY_SYNSETS`
`SET_OF_DATATYPES`
`SET_OF_INDIVIDUALS`
`SET_OF_INDIVIDUALS_SYNSETS`
`SET_OF_LITERALS`
`SET_OF_OBJECTPROPERTIES`
`SET_OF_OBJECTPROPERTY_SYNSETS`
`SETTING`
`SETTINGS`
`String_RESPONSE`
`SUBCLASS_SYNSETS`
`SUBDATAPROPERTY_SYNSETS`
`SUBOBJECTPROPERTY_SYNSETS`
`SUPPORTEDEXTENSION`
`SYNTAX_ERROR`
`TELL`
`UNKNOWN_RESPONSE`
`VALUE_ATTRIBUTE`
`WARNING_ATTRIBUTE`

Method Summary
`IRI` | `getIRI()`
`java.lang.String` | `getShortName()`
`java.net.URI` | `getURI()`
`java.lang.String` | `toString()`
`static OWLlinkXMLVocabulary` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OWLlinkXMLVocabulary[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BUILD_ATTRIBUTE

    public static final OWLlinkXMLVocabulary BUILD_ATTRIBUTE

### CONSIDER_IMPORTS_ATTRIBUTE

    public static final OWLlinkXMLVocabulary CONSIDER_IMPORTS_ATTRIBUTE

### DIRECT_ATTRIBUTE

    public static final OWLlinkXMLVocabulary DIRECT_ATTRIBUTE

### ERROR_ATTRIBUTE

    public static final OWLlinkXMLVocabulary ERROR_ATTRIBUTE

### IDENTIFIER_ATTRIBUTE

    public static final OWLlinkXMLVocabulary IDENTIFIER_ATTRIBUTE

### IRI_ATTRIBUTE

    public static final OWLlinkXMLVocabulary IRI_ATTRIBUTE

### IRI_MAPPING

    public static final OWLlinkXMLVocabulary IRI_MAPPING

### FULL_IRI_ATTRIBUTE

    public static final OWLlinkXMLVocabulary FULL_IRI_ATTRIBUTE

### KB_ATTRIBUTE

    public static final OWLlinkXMLVocabulary KB_ATTRIBUTE

### KEY_ATTRIBUTE

    public static final OWLlinkXMLVocabulary KEY_ATTRIBUTE

### NAME_Attribute

    public static final OWLlinkXMLVocabulary NAME_Attribute

### NEGATIVE_ATTRIBUTE

    public static final OWLlinkXMLVocabulary NEGATIVE_ATTRIBUTE

### MAJOR_ATTRIBUTE

    public static final OWLlinkXMLVocabulary MAJOR_ATTRIBUTE

### MINOR_ATTRIBUTE

    public static final OWLlinkXMLVocabulary MINOR_ATTRIBUTE

### MESSAGE_ATTRIBUTE

    public static final OWLlinkXMLVocabulary MESSAGE_ATTRIBUTE

### CONFIGURATION

    public static final OWLlinkXMLVocabulary CONFIGURATION

### REQUEST_MESSAGE

    public static final OWLlinkXMLVocabulary REQUEST_MESSAGE

### RESULT_ATTRIBUTE

    public static final OWLlinkXMLVocabulary RESULT_ATTRIBUTE

### RESPONSE_MESSAGE

    public static final OWLlinkXMLVocabulary RESPONSE_MESSAGE

### WARNING_ATTRIBUTE

    public static final OWLlinkXMLVocabulary WARNING_ATTRIBUTE

### VALUE_ATTRIBUTE

    public static final OWLlinkXMLVocabulary VALUE_ATTRIBUTE

### ARE_CLASSES_DISJOINT

    public static final OWLlinkXMLVocabulary ARE_CLASSES_DISJOINT

### ARE_CLASSES_EQUIVALENT

    public static final OWLlinkXMLVocabulary ARE_CLASSES_EQUIVALENT

### ARE_DATAPROPERTIES_DISJOINT

    public static final OWLlinkXMLVocabulary ARE_DATAPROPERTIES_DISJOINT

### ARE_DATAPROPERTIES_EQUIVALENT

    public static final OWLlinkXMLVocabulary ARE_DATAPROPERTIES_EQUIVALENT

### ARE_INDIVIDUALS_DISJOINT

    public static final OWLlinkXMLVocabulary ARE_INDIVIDUALS_DISJOINT

### ARE_INDIVIDUALS_EQUIVALENT

    public static final OWLlinkXMLVocabulary ARE_INDIVIDUALS_EQUIVALENT

### ARE_INDIVIDUALS_RELATED

    public static final OWLlinkXMLVocabulary ARE_INDIVIDUALS_RELATED

### ARE_OBJECTPROPERTIES_DISJOINT

    public static final OWLlinkXMLVocabulary ARE_OBJECTPROPERTIES_DISJOINT

### ARE_OBJECTPROPERTIES_EQUIVALENT

    public static final OWLlinkXMLVocabulary ARE_OBJECTPROPERTIES_EQUIVALENT

### CLASSIFY

    public static final OWLlinkXMLVocabulary CLASSIFY

### CREATE_KB

    public static final OWLlinkXMLVocabulary CREATE_KB

### DESCRIPTION

    public static final OWLlinkXMLVocabulary DESCRIPTION

### FULLIRI

    public static final OWLlinkXMLVocabulary FULLIRI

### GET_ALL_ANNOTATION_PROPERTIES

    public static final OWLlinkXMLVocabulary GET_ALL_ANNOTATION_PROPERTIES

### GET_ALL_CLASSES

    public static final OWLlinkXMLVocabulary GET_ALL_CLASSES

### GET_ALL_DATAPROPERTIES

    public static final OWLlinkXMLVocabulary GET_ALL_DATAPROPERTIES

### GET_ALL_DATATYPES

    public static final OWLlinkXMLVocabulary GET_ALL_DATATYPES

### GET_ALL_INDIVIDUALS

    public static final OWLlinkXMLVocabulary GET_ALL_INDIVIDUALS

### GET_ALL_OBJECTPROPERTIES

    public static final OWLlinkXMLVocabulary GET_ALL_OBJECTPROPERTIES

### GET_DATAPROPERTIES_BETWEEN

    public static final OWLlinkXMLVocabulary GET_DATAPROPERTIES_BETWEEN

### GET_DATAPROPERTIES_OF_LITERAL

    public static final OWLlinkXMLVocabulary GET_DATAPROPERTIES_OF_LITERAL

### GET_DATAPROPERTIES_OF_SOURCE

    public static final OWLlinkXMLVocabulary GET_DATAPROPERTIES_OF_SOURCE

### GET_DATAPROPERTY_SOURCES

    public static final OWLlinkXMLVocabulary GET_DATAPROPERTY_SOURCES

### GET_DATAPROPERTY_TARGETS

    public static final OWLlinkXMLVocabulary GET_DATAPROPERTY_TARGETS

### GET_DESCRIPTION

    public static final OWLlinkXMLVocabulary GET_DESCRIPTION

### GET_DISJOINT_CLASSES

    public static final OWLlinkXMLVocabulary GET_DISJOINT_CLASSES

### GET_DISJOINT_DATAPROPERTIES

    public static final OWLlinkXMLVocabulary GET_DISJOINT_DATAPROPERTIES

### GET_DIFFERENT_INDIVIDUALS

    public static final OWLlinkXMLVocabulary GET_DIFFERENT_INDIVIDUALS

### GET_DISJOINT_OBJECTPROPERTIES

    public static final OWLlinkXMLVocabulary GET_DISJOINT_OBJECTPROPERTIES

### GET_EQUIVALENT_CLASSES

    public static final OWLlinkXMLVocabulary GET_EQUIVALENT_CLASSES

### GET_EQUIVALENT_DATAPROPERTIES

    public static final OWLlinkXMLVocabulary GET_EQUIVALENT_DATAPROPERTIES

### GET_SAME_INDIVIDUALS

    public static final OWLlinkXMLVocabulary GET_SAME_INDIVIDUALS

### GET_EQUIVALENT_OBJECTPROPERTIES

    public static final OWLlinkXMLVocabulary GET_EQUIVALENT_OBJECTPROPERTIES

### GET_FLATTENED_DATAPROPERTY_SOURCES

    public static final OWLlinkXMLVocabulary GET_FLATTENED_DATAPROPERTY_SOURCES

### GET_FLATTENED_DIFFERENT_INDIVIDUALS

    public static final OWLlinkXMLVocabulary GET_FLATTENED_DIFFERENT_INDIVIDUALS

### GET_FLATTENED_INSTANCES

    public static final OWLlinkXMLVocabulary GET_FLATTENED_INSTANCES

### GET_FLATTENED_OBJECTPROPERTY_SOURCES

    public static final OWLlinkXMLVocabulary GET_FLATTENED_OBJECTPROPERTY_SOURCES

### GET_FLATTENED_OBJECTPROPERTY_TARGETS

    public static final OWLlinkXMLVocabulary GET_FLATTENED_OBJECTPROPERTY_TARGETS

### GET_FLATTENED_TYPES

    public static final OWLlinkXMLVocabulary GET_FLATTENED_TYPES

### GET_INSTANCES

    public static final OWLlinkXMLVocabulary GET_INSTANCES

### GET_KB_LANGUAGE

    public static final OWLlinkXMLVocabulary GET_KB_LANGUAGE

### GET_PREFIXES

    public static final OWLlinkXMLVocabulary GET_PREFIXES

### GET_OBJECTPROPERTIES_BETWEEN

    public static final OWLlinkXMLVocabulary GET_OBJECTPROPERTIES_BETWEEN

### GET_OBJECTPROPERTIES_OF_SOURCE

    public static final OWLlinkXMLVocabulary GET_OBJECTPROPERTIES_OF_SOURCE

### GET_OBJECTPROPERTIES_OF_TARGET

    public static final OWLlinkXMLVocabulary GET_OBJECTPROPERTIES_OF_TARGET

### GET_OBJECTPROPERTY_SOURCES

    public static final OWLlinkXMLVocabulary GET_OBJECTPROPERTY_SOURCES

### GET_OBJECTPROPERTY_TARGETS

    public static final OWLlinkXMLVocabulary GET_OBJECTPROPERTY_TARGETS

### GET_SETTINGS

    public static final OWLlinkXMLVocabulary GET_SETTINGS

### GET_SUBCLASSES

    public static final OWLlinkXMLVocabulary GET_SUBCLASSES

### GET_SUBCLASS_HIERARCHY

    public static final OWLlinkXMLVocabulary GET_SUBCLASS_HIERARCHY

### GET_SUBDATAPROPERTIES

    public static final OWLlinkXMLVocabulary GET_SUBDATAPROPERTIES

### GET_SUBDATAPROPERTY_HIERARCHY

    public static final OWLlinkXMLVocabulary GET_SUBDATAPROPERTY_HIERARCHY

### GET_SUBOBJECTPROPERTIES

    public static final OWLlinkXMLVocabulary GET_SUBOBJECTPROPERTIES

### GET_SUBOBJECTPROPERTY_HIERARCHY

    public static final OWLlinkXMLVocabulary GET_SUBOBJECTPROPERTY_HIERARCHY

### GET_SUPERCLASSES

    public static final OWLlinkXMLVocabulary GET_SUPERCLASSES

### GET_SUPERDATAPROPERTIES

    public static final OWLlinkXMLVocabulary GET_SUPERDATAPROPERTIES

### GET_SUPEROBJECTPROPERTIES

    public static final OWLlinkXMLVocabulary GET_SUPEROBJECTPROPERTIES

### GET_TYPES

    public static final OWLlinkXMLVocabulary GET_TYPES

### IS_CLASS_SATISFIABLE

    public static final OWLlinkXMLVocabulary IS_CLASS_SATISFIABLE

### IS_ENTAILED

    public static final OWLlinkXMLVocabulary IS_ENTAILED

### IS_ENTAILED_DIRECT

    public static final OWLlinkXMLVocabulary IS_ENTAILED_DIRECT

### IS_KB_CONSISTENTLY_DECLARED

    public static final OWLlinkXMLVocabulary IS_KB_CONSISTENTLY_DECLARED

### IS_DATAPROPERTY_SATISFIABLE

    public static final OWLlinkXMLVocabulary IS_DATAPROPERTY_SATISFIABLE

### IS_OBJECTPROPERTY_SATISFIABLE

    public static final OWLlinkXMLVocabulary IS_OBJECTPROPERTY_SATISFIABLE

### IS_KB_SATISFIABLE

    public static final OWLlinkXMLVocabulary IS_KB_SATISFIABLE

### KBERROR

    public static final OWLlinkXMLVocabulary KBERROR

### LOAD_ONTOLOGIES

    public static final OWLlinkXMLVocabulary LOAD_ONTOLOGIES

### ONTOLOGY_IRI

    public static final OWLlinkXMLVocabulary ONTOLOGY_IRI

### REALIZE

    public static final OWLlinkXMLVocabulary REALIZE

### RELEASE_KB

    public static final OWLlinkXMLVocabulary RELEASE_KB

### SET

    public static final OWLlinkXMLVocabulary SET

### TELL

    public static final OWLlinkXMLVocabulary TELL

### SETTING

    public static final OWLlinkXMLVocabulary SETTING

### SETTINGS

    public static final OWLlinkXMLVocabulary SETTINGS

### PREFIX

    public static final OWLlinkXMLVocabulary PREFIX

### PROPERTY

    public static final OWLlinkXMLVocabulary PROPERTY

### PublicKB

    public static final OWLlinkXMLVocabulary PublicKB

### SUPPORTEDEXTENSION

    public static final OWLlinkXMLVocabulary SUPPORTEDEXTENSION

### LITERAL

    public static final OWLlinkXMLVocabulary LITERAL

### ONEOF

    public static final OWLlinkXMLVocabulary ONEOF

### LIST

    public static final OWLlinkXMLVocabulary LIST

### DATATYPE

    public static final OWLlinkXMLVocabulary DATATYPE

### PROTOCOLVERSION

    public static final OWLlinkXMLVocabulary PROTOCOLVERSION

### REASONERVERSION

    public static final OWLlinkXMLVocabulary REASONERVERSION

### BOOLEAN_RESPONSE

    public static final OWLlinkXMLVocabulary BOOLEAN_RESPONSE

### CLASSES

    public static final OWLlinkXMLVocabulary CLASSES

### CLASS_HIERARCHY

    public static final OWLlinkXMLVocabulary CLASS_HIERARCHY

### CLASS_SUBCLASSESPAIR

    public static final OWLlinkXMLVocabulary CLASS_SUBCLASSESPAIR

### CLASS_SYNSET

    public static final OWLlinkXMLVocabulary CLASS_SYNSET

### CLASS_SYNSETS

    public static final OWLlinkXMLVocabulary CLASS_SYNSETS

### DATAPROPERTY_HIERARCHY

    public static final OWLlinkXMLVocabulary DATAPROPERTY_HIERARCHY

### DATAPROPERTY_SUBDATAPROPERTIESPAIR

    public static final OWLlinkXMLVocabulary DATAPROPERTY_SUBDATAPROPERTIESPAIR

### DATAPROPERTY_SYNSET

    public static final OWLlinkXMLVocabulary DATAPROPERTY_SYNSET

### DATAPROPERTY_SYNSETS

    public static final OWLlinkXMLVocabulary DATAPROPERTY_SYNSETS

### DATAPROPERTY_SYNONYMS

    public static final OWLlinkXMLVocabulary DATAPROPERTY_SYNONYMS

### ERROR

    public static final OWLlinkXMLVocabulary ERROR

### INDIVIDUAL_SYNSET

    public static final OWLlinkXMLVocabulary INDIVIDUAL_SYNSET

### INDIVIDUAL_SYNONYMS

    public static final OWLlinkXMLVocabulary INDIVIDUAL_SYNONYMS

### KB_ERROR

    public static final OWLlinkXMLVocabulary KB_ERROR

### KB_RESPONSE

    public static final OWLlinkXMLVocabulary KB_RESPONSE

### OBJECTPROPERTY_HIERARCHY

    public static final OWLlinkXMLVocabulary OBJECTPROPERTY_HIERARCHY

### OBJECTPROPERTY_SUBOBJECTPROPERTIESPAIR

    public static final OWLlinkXMLVocabulary OBJECTPROPERTY_SUBOBJECTPROPERTIESPAIR

### OBJECTPROPERTY_SYNSET

    public static final OWLlinkXMLVocabulary OBJECTPROPERTY_SYNSET

### OBJECTPROPERTY_SYNSETS

    public static final OWLlinkXMLVocabulary OBJECTPROPERTY_SYNSETS

### OK

    public static final OWLlinkXMLVocabulary OK

### PREFIXES

    public static final OWLlinkXMLVocabulary PREFIXES

### SET_OF_ANNOTATIONPROPERTIES

    public static final OWLlinkXMLVocabulary SET_OF_ANNOTATIONPROPERTIES

### SET_OF_CLASSES

    public static final OWLlinkXMLVocabulary SET_OF_CLASSES

### SET_OF_CLASS_SYNSETS

    public static final OWLlinkXMLVocabulary SET_OF_CLASS_SYNSETS

### SET_OF_DATAPROPERTIES

    public static final OWLlinkXMLVocabulary SET_OF_DATAPROPERTIES

### SET_OF_DATAPROPERTY_SYNSETS

    public static final OWLlinkXMLVocabulary SET_OF_DATAPROPERTY_SYNSETS

### SET_OF_DATATYPES

    public static final OWLlinkXMLVocabulary SET_OF_DATATYPES

### SET_OF_INDIVIDUALS

    public static final OWLlinkXMLVocabulary SET_OF_INDIVIDUALS

### SET_OF_INDIVIDUALS_SYNSETS

    public static final OWLlinkXMLVocabulary SET_OF_INDIVIDUALS_SYNSETS

### SET_OF_LITERALS

    public static final OWLlinkXMLVocabulary SET_OF_LITERALS

### SET_OF_OBJECTPROPERTIES

    public static final OWLlinkXMLVocabulary SET_OF_OBJECTPROPERTIES

### SET_OF_OBJECTPROPERTY_SYNSETS

    public static final OWLlinkXMLVocabulary SET_OF_OBJECTPROPERTY_SYNSETS

### SUBCLASS_SYNSETS

    public static final OWLlinkXMLVocabulary SUBCLASS_SYNSETS

### SUBDATAPROPERTY_SYNSETS

    public static final OWLlinkXMLVocabulary SUBDATAPROPERTY_SYNSETS

### SUBOBJECTPROPERTY_SYNSETS

    public static final OWLlinkXMLVocabulary SUBOBJECTPROPERTY_SYNSETS

### UNKNOWN_RESPONSE

    public static final OWLlinkXMLVocabulary UNKNOWN_RESPONSE

### SYNTAX_ERROR

    public static final OWLlinkXMLVocabulary SYNTAX_ERROR

### SEMANTIC_ERROR

    public static final OWLlinkXMLVocabulary SEMANTIC_ERROR

### String_RESPONSE

    public static final OWLlinkXMLVocabulary String_RESPONSE

Method Detail

### values

    public static OWLlinkXMLVocabulary[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OWLlinkXMLVocabulary c : OWLlinkXMLVocabulary.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OWLlinkXMLVocabulary valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getIRI

    public IRI getIRI()

### getURI

    public java.net.URI getURI()

### getShortName

    public java.lang.String getShortName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<OWLlinkXMLVocabulary>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD